Bug 993837 - afp.h contains incorrect paths
afp.h contains incorrect paths
Status: CLOSED DUPLICATE of bug 1057819
Product: Fedora
Classification: Fedora
Component: afpfs-ng (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 08:30 EDT by Robert Buchholz
Modified: 2014-03-17 03:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 967500
: 1057819 (view as bug list)
Environment:
Last Closed: 2014-03-17 03:30:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Buchholz 2013-08-06 08:30:58 EDT
Also happens in F19

+++ This bug was initially created as a clone of Bug #967500 +++

As mentioned below this is also happening on fedora 17.

+++ This bug was initially created as a clone of Bug #806668 +++

Description of problem:
While attempting to compile xbmc 11.0 using afpfs-ng, I ran into two errors where the files afp_protocol.h and libafpclient.h included from afp.h could not be found.  I was able to make it work by changing the lines in afp.h from:
#include <afp_protocol.h>
#include <libafpclient.h>
to:
#include <afpfs-ng/afp_protocol.h>
#include <afpfs-ng/libafpclient.h>

Not sure if this is a bug in the library, or in the way its packaged, so I'm reporting it here first.

Version-Release number of selected component (if applicable):
0.8.1-8.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Attempt compile including afp.h
2. Observe error
  
Actual results:
/usr/include/afpfs-ng/afp.h:10:26: fatal error: afp_protocol.h: No such file or directory

Expected results:
Successful compilation

Additional info:

--- Additional comment from  on 2012-09-19 19:49:10 EDT ---

The same issue as described above still exists in F17 with afpfs-ng version:

afpfs-ng-0.8.1-9.fc17.3.x86_64

--- Additional comment from Jan van Rooyen on 2012-10-27 18:10:58 EDT ---

>>The same issue as described above still exists in F17 with afpfs-ng version:
>>
>>afpfs-ng-0.8.1-9.fc17.3.x86_64

Picked this up as well.

Packages installed:
afpfs-ng-devel-0.8.1-9.fc17.3.x86_64
afpfs-ng-0.8.1-9.fc17.3.x86_64


Edited the file:
/usr/include/afpfs-ng/afp.h

as mentioned above and moved past the breaking point in the build.

--- Additional comment from Fedora End Of Life on 2013-07-03 19:54:26 EDT ---

This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Robert Buchholz on 2013-07-31 13:54:51 EDT ---

Also happens on F19.
/usr/include/afpfs-ng/afp.h:10:26: fatal error: afp_protocol.h: No such file or directory
 #include <afp_protocol.h>

--- Additional comment from Fedora End Of Life on 2013-07-31 23:01:51 EDT ---

Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 1 Arun Raghavan 2014-01-09 03:09:40 EST
Reproducible on F20 too.
Comment 2 Lubomir Rintel 2014-03-17 03:30:12 EDT
Thank you for your report and sorry for the late reply.

I'm getting a quite lot of these, reporting failures specifically with XMBC. I am not quite convinced afpfs-ng is the part that need fixing and am leaning towards the belief that this should be fixed in XMBC.

Please see my comment in bug #1057819. If you have any opinions to discuss, you're welcome to comment there. If you believe the fix really belongs to this package, feel free to reopen the bug, but please don't do that without explanation.

Thank you!

*** This bug has been marked as a duplicate of bug 1057819 ***

Note You need to log in before you can comment on or make changes to this bug.